---
name: 'Meeting Agenda: Create New'
about: Use this template to create a new meeting agenda.
title: Proposed SIG-Docs meeting agenda for YYYY-MM-DD
labels: mtg-agenda
assignees: ''
---

## Meeting Details

* **Date/Time:** Month Date, Year @ XXXX UTC / XX:XX\[am|pm\] PT 
* **Location:** [Discord SIG-Docs Voice Room](https://discord.gg/p3padwr58u)
* **Moderator:** Name
* **Note Taker:** Name

The [SIG-Docs Meetings](https://github.com/o3de/sig-docs-community/blob/main/meetings/README.md) contains the history past calls, including a link to the agenda, recording, notes, and resources.

## SIG Updates

**What happened since the last meeting?** - The creator of this issue is responsible for providing a brief summary here to be used as an update to start any important discussions.

### Open action items

* [ ] Checkbox list of open action items from previous meetings. If these are closed before or during the meeting, mark them off.
* [ ] ...

### Newly resolved items

* :white_check_mark: Unordered list of action items resolved since the last meeting.
* :white_check_mark: ...

## Initial Agenda

The pre-approved agenda for this meeting is as follows:

* **Agenda item name** - **Presenter** - **Length of time**
  * Description of the item
* ...

## Suggesting and voting on agenda items

Our community is welcome to suggest and vote on agenda items. If you suggest an item you need to have a designated presenter (normally the issue filer), but any community member can vote and isn't required to attend meetings or even participate in further discussion. If you think something is a good idea to discuss for the O3DE community, please upvote!

:+1: reactions to proposed agenda items are counted as YEA votes for taking up discussion, and :-1: as NAY. Votes on items don't determine the final agenda, but do influence it and are strongly taken into consideration as a representation of what the O3DE community wants to see from the project.

### Agenda item format

If you leave a comment on this issue to propose an agenda item, please use the following format:

```
**Topic**: The topic you'll be presenting on
**Presenter**: Who will present (may be a team name or TBD)
**Length of time**: Estimate the amount of time you believe discussion will take. This should not be more than 15 minutes without SIG approval.

Include a description of your topic. Make sure to link to any supplementary materials such as RFCs, forum discussions, issues, etc.
```

Remember to add the :+1: and :-1: reactions manually, so they appear and are obvious to voters!
