# O3DE Documentation & Community Special Interest Group

Welcome to the Documentation and Community Special Interest Group (D&C SIG) of Open 3D Foundation! 

We run the [o3de.org/docs](http://o3de.org/docs) website, manage its content, and work with the Open 3D Engine (O3DE) community to set standards and keep O3DE a collaborative, accepting environment for all. The SIG consists of a docs side and a community side who work closely together to provide learning content and community events. Just to name a few, this includes O3DE Documentation, video tutorials, blog posts, and live streams.

You can reach us at @sig-docs-community on Discord!

For a broader view of the whole O3DE community, go to the [o3de/community](https://github.com/o3de/community/) repo.

## D&C SIG Responsibilities
In summary, our responsibilities include:
- Maintaining the content of the O3DE Documentation in the official [O3DE website](https://www.o3de.org/)
- Supporting documentation requirements and publishing API references for core O3DE features, including Atom Renderer
- Official blogs, samples, demos, tutorials, and training
- Managing forums, Discord, and other community engagement channels

For more information, see the official [Documentation and Community SIG Charter](https://github.com/o3de/sig-docs-community/blob/main/governance/charter.md).

## How can you contribute? 

**Contribute to O3DE Documentation**

Whether it's filing an issue, updating existing docs, or even writing completely new docs - we highly appreciate all efforts to improving the documentation. 

If you're thinking of contributing to the docs, review [Contributing to O3DE Documentation](https://www.o3de.org/docs/contributing/to-docs/)  for onboarding instructions, style guides, and docs templates. 


**Write a blog post** 

If your team is working on an exciting project with O3DE or developing an awesome feature for the engine, then share the news in a blog post! 

Read about [How to Submit a Blog Post for o3de.org](https://www.o3de.org/docs/contributing/to-docs/blog-posts/) and check out the latest [O3DE blogs](https://www.o3de.org/community/) from the community. 

**Attend our meetings** 

Everyone is welcome to attend our meetings in the #sig-docs-community voice channel! We triage [`o3de/o3de.org` GitHub issues](https://github.com/o3de/o3de.org/issues) weekly, and have docs-/community-related discussions bi-weekly. 

Check out the [calendar](https://lists.o3de.org/calendar#) for events, and view past [meeting notes](meetings/README.md). Look out for upcoming meeting agendas in [sig-docs-community issues](https://github.com/o3de/sig-docs-community/issues).

## FAQ

### Meeting Agenda

Meetings are held every other Wednesday at 11:30am Eastern, 3:30pm UTC. 

In the event a meeting conflicts with Connect or other major meeting, this one will be moved to after the conflicting one, usually pushing it back half an hour.

_\*Event schedules may change. For an up-to-date schedule, see the official [O3DE calendar](https://lists.o3de.org/calendar#)._

### Contact

Join the [O3DE Discord](https://discord.com/invite/o3de) and reach out to the #sig-docs-community channel.

Subscribe to our [mailing list](https://lists.o3de.org/g/sig-docs-community) to get updates from D&C SIG. 


### Documentation release process

Every major O3DE release, members of the D&C SIG are responsible for assisting the Release SIG in publishing a new version of the O3DE Documentation. For more information, refer to the [Major Release Process](https://github.com/o3de/sig-release/blob/c625281773fa0430f3f9c95ba588664d469e5356/releases/Process/Major%20Release%20Process.md) in the `sig-release` repo.
