## Documentation and Community reviewer roles

The Documentation and Community (D&C) SIG maintains the following reviewer teams:

* [**Documentation Reviewer**](https://github.com/orgs/o3de/teams/sig-docs-community-reviewers) - Responsible for reviewing documentation content to `o3de.org`, or conducting reviews of certain `o3de` in-product documentation elements.
* [**Community Specialist**](https://github.com/orgs/o3de/teams/community-specialist) - Responsible for helping review community content on [o3de.org](http://www.o3de.org) as well as participate actively in Open 3D Engine community channels.
* [**Website Reviewer**](https://github.com/orgs/o3de/teams/sig-docs-community-site-reviewers) - Responsible for reviewing contributions that add layouts, templates, improve functionality, or change the appearance of `o3de.org` in some way.

We also have [SIG maintainers](https://github.com/orgs/o3de/teams/sig-docs-community-maintainers). Documentation and Community maintainers are reviewers who have been elevated from the documentation or community reviewer teams to take on additional responsibility and serve as trusted sources of guidance.

To nominate yourself or a peer for a reviewer role, [create an issue](https://github.com/o3de/sig-docs-community/issues/new/choose) using the appropriate issue template.

### Technical reviewer roles

Although O3DE Documentation is primarily supported by D&C SIG, it's also significantly supported by technical reviewers from other SIGs. Technical reviewers have a critical role of verifying the technical accuracy of documentation. They are managed separately by their corresponding SIG as part of their SIG's reviewer or maintainer team. For more information about being a reviewer from other SIGs, refer to [Becoming a Reviewer or Maintainer](https://github.com/o3de/community/blob/main/community-membership.md).

### Open 3D Engine Community Roles

For more on the Reviewer and Maintainer roles, read our [Community Membership](https://github.com/o3de/community/blob/main/community-membership.md) information. 