# Open 3D Engine Documentation & Community SIG Meetings

Each Open 3D Engine Special Interest Group (SIG) hosts a regular community meeting to update the community about the progress of the project and the SIG's contribution to the project. It is a recurring event to give everyone a chance to have their voice heard. The SIG holds its meetings monthly, and future meetings are held based on the [agendas on GitHub](https://github.com/o3de/sig-docs-community/labels/mtg-agenda).

O3DE cannot work without the help and input from as many of its community members as possible. *You do not need anyone's permission to get involved and contribute to the project.* The #sig-docs-community channel on [O3DE Discord](https://discord.gg/p3padwr58u) is a great place to begin getting involved. Many of our community members regularly share ideas, updates, and resources there. You can also find a number of topics under the [GitHub Discussions area](https://github.com/o3de/foundation/discussions) which need your input.

[Sign up on O3DE Mailing Lists](https://lists.o3de.org/groups) to get notifications for the recurring events.

## Meetings

| Date       | Agenda  | Notes |
| ---------- | ------- | ----- |
| 2021-08-27 | [Link](https://github.com/o3de/sig-docs-community/issues/5)  | [Link](notes/sig-meeting-20210827.md) |
| 2021-09-22 | [Link](https://github.com/o3de/sig-docs-community/issues/13) | [Link](notes/sig-meeting-20210922.md) |
| 2021-10-11 | [Link](https://github.com/o3de/sig-docs-community/issues/15) | [Link](notes/sig-meeting-20211011.md) |
| 2022-02-08 | [Link](https://github.com/o3de/sig-docs-community/issues/25) | [Link](notes/sig-meeting-20220208.md) |
| 2022-03-15 | [Link](https://github.com/o3de/sig-docs-community/issues/35) | [Link](notes/sig-meeting-20220315.md) |
| 2022-04-12 | [Link](https://github.com/o3de/sig-docs-community/issues/38) | [Link](notes/sig-meeting-20220412.md) |
| 2022-04-26 | [Link](https://github.com/o3de/sig-docs-community/issues/39) | N/A |
| 2022-05-17 | [Link](https://github.com/o3de/sig-docs-community/issues/41) | N/A |
| 2022-06-14 | [Link](https://github.com/o3de/sig-docs-community/issues/42) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/42) |
| 2022-07-12 | [Link](https://github.com/o3de/sig-docs-community/issues/44) | [Link](notes/sig-meeting-20220712.md) |
| 2022-09-13 | [Link](https://github.com/o3de/sig-docs-community/issues/60) | N/A  |
| 2022-09-27 | [Link](https://github.com/o3de/sig-docs-community/issues/63) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/63#issuecomment-1259931430) |
| 2022-10-18 | [Link](https://github.com/o3de/sig-docs-community/issues/66) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/66#issuecomment-1286035611) |
| 2022-11-08 | [Link](https://github.com/o3de/sig-docs-community/issues/68) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/68#issuecomment-1307737835) |
| 2022-11-22 | [Link](https://github.com/o3de/sig-docs-community/issues/82) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/82#issuecomment-1331235283) |
| 2022-12-13 | [Link](https://github.com/o3de/sig-docs-community/issues/84) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/84#issuecomment-1349869774) |
| 2024-06-17 | [Link](https://github.com/o3de/sig-docs-community/pull/121) | Ad hoc, no prior formal agenda |
| 2024-07-03 | [Link](https://github.com/o3de/sig-docs-community/issues/122) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/122#issuecomment-2206868488) |
| 2024-07-17 | [Link](https://github.com/o3de/sig-docs-community/issues/124) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/124) |
| 2024-08-14 | [Link](https://github.com/o3de/sig-docs-community/issues/128) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/128) |
| 2024-09-11 | N/A | [Link](notes/sig-meeting-20240911.md) |
| 2024-09-25 | [Link](notes/sig-meeting-2024-09-25.md) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/133) |
| 2024-10-09 | [Link](https://github.com/o3de/sig-docs-community/issues/135) | [Link](notes/sig-meeting-20241009.md) |
| 2024-11-20 | [Link](notes/sig-meeting-20241120.md) | [On Agenda](https://github.com/o3de/sig-docs-community/issues/137) |
| 2025-01-29 | [Link](https://github.com/o3de/sig-docs-community/issues/140) | N/A |


## Pre-release meetings

Preserved for posterity. Thanks to everyone who helped Open 3D Engine launch!

| Date       | Agenda  | Notes |
| ---------- | ------- | ----- |
| 2021-05-11 | N/A | [Link](notes/sig-meeting-20210511.md) |
| 2021-06-04 | N/A | [Link](notes/sig-meeting-20210604.md) |
| 2021-06-16 | [Link](https://github.com/o3de/sig-docs-community/issues/1) | [Link](notes/sig-meeting-20210616.md) |
| 2021-07-01 | [Link](https://github.com/o3de/sig-docs-community/issues/3) | [Link](notes/sig-meeting-20210701.md) |

## Agenda Items

You can find a link to the proposed agenda for the next call in the table below. The agenda for each meeting is saved as [an issue on Github](https://github.com/o3de/foundation/issues?q=label%3Asig%2Fdocs+label%3Amtg-agenda+) under the O3DE [Foundation repository](https://github.com/o3de/foundation). Instructions on how to vote on and propose agenda items is covered on each agenda issue.

## General Resources

* [Meeting notes template](notes/TEMPLATE.md)
* [O3DE Resources](https://o3de.github.io/o3de/foundation) for additional information related to any SIG in O3DE.

## Licensing

The O3DE/foundation repository and all contributions under this repository herein are licensed under [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/). Please note that, by contributing to this repository, whether via commit, pull request, issue, comment, or in any other fashion, **you are explicitly agreeing that all of your contributions will fall under the same permissive license.**
