# Docs & Community SIG meeting - 2021-06-04

**Facilitator**: Stephen Tramer
**Meeting notes**: Stephen Tramer

[Agenda link](https://github.com/o3de/sig-docs-community/issues/1)

## SIG Update

* Still preparing for site launch and performing content cleaning and development. There's very little to report on how that process is going until the
  final SIG meeting on 7/1.

## SIG Charter Review

[Item link](https://github.com/o3de/sig-docs-community/issues/1#issuecomment-859863247)

*Presenter*: Stephen Tramer

* Open question: Should another SIG which owns all-up infrastructure be in charge of handling website operations?
  * **RESOLVED:** Nope, this is owned by sig-docs-community. This means that we'll own meta-documentation on handling site incidents.
* Charter does not specifically call out video resources that are owned, maintained, or updated by the SIG in an official capacity.
  This is especially critical since that considering our audience, most nuts-and-bolts how-to content may be best delivered as video.
* O3DE as a whole appears to be missing a group which will be a non-Foundation interface with partners who aren't explicitly part of the LF or
  O3DF, but who would like to contribute or participate with us (such as Blender3D.) Such a group would likely be part of this SIG, as it would
  be regarded as community outreach.

### Action items

* Stramer to make pull requests against the charter with some changes to address feedback from the meeting, as well as a few other minor wording
  issues for clarity.

## Descriptive v. Prescriptive documentation

[Item link](https://github.com/o3de/sig-docs-community/issues/1#issuecomment-861742863)

*Presenter*: Derek Reese

We lack any kind of general guidance around where to use descriptive ("just the facts") vs. prescriptive ("task-oriented") documentation, and
this will cause some confusion in the guidelines.

* Recommended: A checklist that encourages users to think about what they're submitting. "What, Why, and How" in addition to following the style
    guide.
  * Some discussion about whether or not this should be a checklist on PRs, or just general style guidance. The major concern raised is that
    submitters will thoughtlessly check boxes on PR templates unless there's a very good reason to _not_ do so, such as "I agree to the Code of Conduct"
    or "I've tried to follow the Style Guide" rather than more ambiguous guidance ("Does this answer a 'why'?") which contributors might have difficulty
    with or consider self-evident in the PR.

### Action items

* Derek to make PRs:
  * :white_check_mark: https://github.com/o3de/o3de.org/pull/561 - Update to Style Guide
  * :white_check_mark: https://github.com/o3de/o3de.org/pull/563 - PR Checklist

* Stramer to split style guide:
  * [ ] https://github.com/o3de/o3de.org/issues/562 - Done prior to launch

## Miscellaneous

* The resource-intensiveness of producing video content, which will be a critical part of our documentation. Early on we need to figure out which types
  of onboarding content we're willing to commit to video and keep up quarterly (release-cadence) maintenance of.
* Some discussion (during charter review) about the difficulty of getting game developers to understand what open source means for them in terms
  of a complete game engine.

### Action items

* [ ] Denis D. and Alex D. to begin discussing and collaboration on various videos for "Day One"-type content, whether present at the official launch day or not.
* [ ] Amazon team to discuss putting together an "open source for game developers" onboarding intro video, provided any amount of time to do so. Apocalypse may
  be available to assist.

## Postponed due to time

1. **Samples Distribution** - [Item](https://github.com/o3de/sig-docs-community/issues/1#issuecomment-860837956)
