# Docs & Community SIG meeting - 2021-09-22

**Facilitator:** Stephen Tramer (@sptramer)
**Notes taker:** Erik Jacobs (@thoraxe) / Stephen Tramer (@sptramer)

[Agenda](https://github.com/o3de/sig-docs-community/issues/13)

## SIG Updates

* The SIG will be releasing an initial roadmap of documentation commitments before the next _product_ release, currently scheduled
  for late November.
  * [O3DE Roadmap](https://github.com/o3de/o3de/projects/1)
  * [O3DE docs / website roadmap](https://github.com/o3de/o3de.org/projects/1)

* Open items from the 2021-08-27 meeting are being closed or now have final dates for feedback. Remaining open items are:
  * [ ] [Charter](https://github.com/o3de/sig-docs-community/issues/8) and [Charter PR changes](https://github.com/o3de/sig-docs-community/pull/6) - **Closes 9/30/2021**
  * [ ] [PR template](https://github.com/o3de/o3de.org/pull/935) - **Closes 9/30/2021**
  * [ ] [Blog post requirements](https://github.com/o3de/o3de.org/pull/749) - **Closes 9/30/2021**

* The first official docs triage will be scheduled for sometime next week.

## Contributor Requirements and Roles

*Presenter*: Stephen Tramer

* [O3DE has adopted contributor rules](https://github.com/o3de/community/blob/main/community-membership.md) and the SIG established [reviewer roles](https://github.com/o3de/sig-docs-community/issues/2). Contributor rules were geared towards documentation code and so we need to make some additions:
  * "Lines of code" will not be used as a metric for docs. In its place we will consider:

    * Regular contributions of good quality for promotion to Reviewer
    * Higher numbers of reviews and regular participation for Maintainer

  * Reviewer roles expressed in the role list will be _unofficial_ (other than tech reviewer requirements) and reviewers who believe they can capability fill the role should do so. Specialized roles might require training.

### Action items

* [ ] @sptramer - Create PR to update the contributor guidelines and add the appropriate labels.

## Community coordination efforts

*Presenter*: Stephen Tramer

* In order to get started with O3DE and understand our existing plans for the site and content, the Amazon team needs to find and export some information for things like content taxonomy and ToC design.
* Contributors also need guidance on where to get started, how to go through the early workflows, etc.

### Action items

* [ ] @stramer - Find and export internal docs information
* [ ] @spotz - Work on onboarding for contributors to commiting to O3DE docs

## Project proposal: Lua Documentation

*Presenter*: Stephen Tramer (proposer not present)

* [The proposal](https://github.com/o3de/sig-docs-community/pull/12) was **ACCEPTED** with minor edits to ensure that it's clearly focused on _documentation_.
  * The proposal was not assigned an owner and is not considered an active project.

### Action items



