# Docs & Community SIG meeting - 2021-10-11

**Facilitator:** Stephen Tramer
**Notes taker:** Chanelle Mosquera

[Agenda](https://github.com/o3de/sig-docs-community/issues/15)

## SIG Updates

* **Triage!** An initial round of internal triage happened to clean up the backlog, and regular triage meetings are now held on the #sig-docs-community voice channel at 9:30-10:00AM PT every Wednesday.
* **Roadmap!** We're still building a public roadmap based on our internal ticketing system so that everyone knows what is coming in the next release.

## Open action items

* [ ] @spotz - Onboarding for contributors to o3de.org - how to make your first contributions, etc. (meta info on contributing)
* [ ] @sptramer  - Official taxonomy and structure
  * Information that can be delivered to the community through a wiki page or something?
* :white_check_box: @sptramer - Schedule SIG triage meetings
* [ ] @sptramer - Complete "Next Release" roadmap for docs

## 

[Item link](https://github.com/o3de/sig-docs-community/issues/15#issuecomment-939140807)

*Presenter*: Chanelle Mosquera

* The Engine Programmer Guide project was discussed and **Approved**. The following attendees were sponsors:
  * AMZN_Micron, Will Hayward, Finite_State, Chanelle, stramer
* Raised issues:
  * Having another guide makes cross-linking difficult and may crowd some of our existing UI
  * Part of the project isn't just to determine _where_ but _if_ the guide should be created.

### Action items

* :white_check_box: [Kickoff meeting scheduled](https://lists.o3de.org/g/o3de-calendar/viewevent?eventid=1311192&calstart=2021-10-26)

## Minimum requirements for feature acceptance 

[Item link](https://github.com/o3de/sig-docs-community/issues/15#issuecomment-939587002)

*Presenter*: Stephen Tramer

* The "minimum required docs for feature acceptance" project was discussed and **Approved**. The following attendees were sponsors:
  * AMZN_Micron, stramer

### Action items

* [ ] @sptramer to hand off to @micronAMZN

## Lua API Reference project update 

[Item link](https://github.com/o3de/sig-docs-community/issues/15#issuecomment-940204593)

*Presenter*: @FiniteStateGit

This project is blocked on engineering work in the scripting system which might make this easier, or even handle it for the D&C SIG. Paused for now.

## Complete review and merge of contributor guidelines

[Item link](https://github.com/o3de/sig-docs-community/issues/15#issuecomment-940357573)

*Presenter*: Stephen Tramer

* Changed requirements from 'submitted' to 'merged' to keep requirements clear.
* Clarify technical reviewer requirements
* Contributing to website needs a different metric for the requirements to become a website reviewer

### Action items

* [ ] @sptramer to finish edits and merge

## Miscellaneous

* Request support from SIG Operations to get `owners.md` functional and manage reviewer/maintainer pools.
* For accessibility and inclusive language: Don't use Enable/Disable --> Use Activate/Deactivate